Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Update test config

Update mutable test config fields. Judge membership is intentionally not patched in place.

PATCH/v1/projects/{projectId}/test-configs/{testConfigId}
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
testConfigIdstringrequired
Request body
requiredapplication/json
namestring
descriptionstring | null
Show properties
Any of:
string
string
null
null
Responses
200

Response for status 200

test_configobjectrequired
Show properties
idstringrequired
organization_idstring
project_idstringrequired
dataset_idstringrequired
namestringrequired
descriptionstring | null
Show properties
Any of:
string
string
null
null
created_atstring
updated_atstring
user_idstringrequired
judgesobject[]
Show properties
Array of object
idstring
organization_idstring
project_idstring
test_config_idstring
judge_idstringrequired
created_atstring
user_idstringrequired
judgeobject
Show properties
idstringrequired
namestringrequired
judge_typestringrequired
score_typestringrequired
404

Response for status 404

errorstringrequired
messagestring
codestring
detailsstring[]
409

Response for status 409

errorstringrequired
messagestring
codestring
detailsstring[]
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/test-configs/YOUR_TEST_CONFIG_ID' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string"
}'
Response
{
  "test_config": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "dataset_id": "string",
    "name": "string",
    "description": "string",
    "created_at": "string",
    "updated_at": "string",
    "user_id": "string",
    "judges": [
      {
        "id": "string",
        "organization_id": "string",
        "project_id": "string",
        "test_config_id": "string",
        "judge_id": "string",
        "created_at": "string",
        "user_id": "string",
        "judge": {
          "id": "string",
          "name": "string",
          "judge_type": "string",
          "score_type": "string"
        }
      }
    ]
  }
}

Was this page helpful?